Skip to main content
PATCH
/
ai
/
agents
/
{agent_id}
Update AI agent
curl --request PATCH \
  --url https://api.wacht.dev/ai/agents/{agent_id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "status": "<string>",
  "configuration": {},
  "tool_ids": [
    "<string>"
  ],
  "knowledge_base_ids": [
    "<string>"
  ],
  "sub_agents": [
    "<string>"
  ]
}
'
{
  "id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "name": "<string>",
  "description": "<string>",
  "deployment_id": "<string>",
  "configuration": {},
  "sub_agents": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

Path Parameters

agent_id
string
required

Body

application/json
name
string | null
description
string | null
status
string | null
configuration
object
tool_ids
string[] | null
knowledge_base_ids
string[] | null
sub_agents
string[] | null

Response

Updated AI agent

id
string
created_at
string<date-time>
updated_at
string<date-time>
name
string
description
string | null
deployment_id
string
configuration
object
sub_agents
string[] | null